import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShareServlet extends HttpServlet {
	
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		HttpSession session = request.getSession();
		session.setAttribute("fromSession", "XXXXX");
		request.setAttribute("fromRequest", "YYYYY");
		
		ServletContext context = getServletConfig().getServletContext();
		context.setAttribute("fromContext", "ZZZZZ");
		
		//response.sendRedirect("/book/share.jsp");
		context.getRequestDispatcher("/book/share.jsp").forward(request,response);
	}
}